extend("fiskheroes:hero_basic");
loadTextures({
	"layer1": "tgheroes:guardians/groot_layer1",
    "layer2": "tgheroes:guardians/groot_layer2",
	"viens": "tgheroes:guardians/veins"
});

var utils = implement("fiskheroes:external/utils");

function initEffects(renderer) {
  
	var veins = utils.createModel(renderer, "tgheroes:grootveins", "viens");
	
	var tentacles = renderer.bindProperty("fiskheroes:tentacles").setTentacles([
        { "offset": [3.0, -3.0, 1.0], "direction": [8.0, 0.0, 0] }
    ]);
    tentacles.anchor.set("body");
    tentacles.setSegmentModel(veins);
    tentacles.segmentLength = 0.5;
    tentacles.segments = 25;

}

function initAnimations(renderer) {
    parent.initAnimations(renderer);
    renderer.removeCustomAnimation("basic.VEIN");
    addAnimationWithData(renderer, "basic.VEIN", "tgheroes:block_leftarm", "fiskheroes:tentacles")
        .priority = -5;    
}